
From: NeilBrown <neilb@cse.unsw.edu.au>

No need to set fl_owner and fl_pid to 0, since that's already been done by
locks_init_lock.

Signed-off-by: Andy Adamson <andros@umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

diff -puN fs/nfsd/nfs4state.c~knfsd-remove-redundant-initialization-in-nfsd4_lockt fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~knfsd-remove-redundant-initialization-in-nfsd4_lockt	2004-09-02 20:29:07.977358088 -0700
+++ 25-akpm/fs/nfsd/nfs4state.c	2004-09-02 20:29:07.983357176 -0700
@@ -2268,7 +2268,6 @@ int
 nfsd4_lockt(struct svc_rqst *rqstp, struct svc_fh *current_fh, struct nfsd4_lockt *lockt)
 {
 	struct inode *inode;
-	struct nfs4_stateowner *sop;
 	struct file file;
 	struct file_lock file_lock;
 	struct file_lock *conflicting_lock;
@@ -2320,14 +2319,9 @@ nfsd4_lockt(struct svc_rqst *rqstp, stru
 	find_lockstateowner_str(strhashval, &lockt->lt_owner,
 					&lockt->lt_clientid, 
 					&lockt->lt_stateowner);
-	sop = lockt->lt_stateowner;
-	if (sop) {
-		file_lock.fl_owner = (fl_owner_t) sop;
-		file_lock.fl_pid = current->tgid;
-	} else {
-		file_lock.fl_owner = NULL;
-		file_lock.fl_pid = 0;
-	}
+	if (lockt->lt_stateowner)
+		file_lock.fl_owner = (fl_owner_t)lockt->lt_stateowner;
+	file_lock.fl_pid = current->tgid;
 	file_lock.fl_flags = FL_POSIX;
 
 	file_lock.fl_start = lockt->lt_offset;
_
